# $Revision: 1.17 $, $Date: 2009/11/11 23:13:09 $
Summary:	xgc application - X graphics demo
Summary(pl.UTF-8):	Aplikacja xgc - program demonstracyjny grafiki X
Name:		xorg-app-xgc
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/app/xgc-%{version}.tar.bz2
# Source0-md5:	fec79887ca14575bef4c757b4e95a693
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.3
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xgc application is an X11 graphics demo that shows various features
of the X11 core protocol graphics primitives.

%description -l pl.UTF-8
Aplikacja xgc to program demonstracyjny grafiki X11, pokazujący różne
cechy prymitywów graficznych podstawowego protokołu X11.

%prep
%setup -q -n xgc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Bugs COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xgc
%{_datadir}/X11/app-defaults/Xgc
%{_datadir}/X11/app-defaults/Xgc-color
%{_mandir}/man1/xgc.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xgc.spec,v $
Revision 1.17  2009/11/11 23:13:09  qboosh
- updated to 1.0.2
- removed obsolete xaw patch

Revision 1.16  2008/11/11 16:47:57  arekm
- rel 4

Revision 1.15  2008/11/07 20:51:26  arekm
- release 3

Revision 1.14  2008/07/27 23:02:25  arekm
- release 2

Revision 1.13  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 18:16:05  qboosh
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 14:55:28  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/13 15:03:32  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 01:46:29  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 13:09:50  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xgc-man.patch
- added BR: libXaw-devel
- release 0.02

* Mon Aug  8 2005 10:37:06  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
